The previous version key is not accepted

36 users found this article helpful

Symptoms

I am trying to activate an upgrade copy of Parallels Desktop for Mac, but the key for previous version is not accepted.

Cause

An upgrade to every Parallels Desktop copy is only supported from two previous versions.

For example, an upgrade to Parallels Desktop 12 for Mac is only supported from Parallels Desktop 11 and 10.

Resolution

If your key for previous version is too old to be used during upgrade, you should buy a full license for the Parallels Desktop version you are trying to activate.

Was this article helpful?

Tell us how we can improve it.